Gregory Guthrie | 20 Nov 05:34 2012

cabal errors

I did a package check, and I always get a ton of these things:

    Warning: haddock-html: E:\Plang\Haskell Platform\lib\extralibs\doc\haskell-src-1.0.1.4\html doesn't exist or isn't a directory

 

Which I think is just missing documentation, so I ignore them.

 

But this time I also got this:

  The following packages are broken, either because they have a problem listed above, or because they depend on a broken package.

  HTTP-4000.2.3

  haskell-platform-2012.2.0.0

 

ghc-pkg list shows:

    Cabal-1.10.1.0

    Cabal-1.10.2.0

    Cabal-1.14.0

    Cabal-1.14.0

    GLUT-2.1.2.1

    GLUT-2.1.2.1

    GLUT-2.1.2.1

    {HTTP-4000.2.3}

    HTTP-4000.2.5

  {haskell-platform-2012.2.0.0}

haskell-platform-2012.4.0.0

haskell-src-1.0.1.4

haskell-src-1.0.1.4

haskell-src-1.0.1.5

haskell-src-1.0.1.5

(haskell2010-1.0.0.0)

(haskell2010-1.1.0.1)

(haskell2010-1.1.0.1)

haskell98-1.1.0.1

(haskell98-2.0.0.1)

(haskell98-2.0.0.1)

 

Not sure what it all means, but looks somewhat goofy to me.

 

I always just do “cabal installs”, and an occasional “–force-reinstalls” when told that it is the only option, but recently when they might fail tried a “cabal-dev install” a few times, I assume that is what the “{}” entries are, but am not sure if they can all peacefully coexist.

 

Do I need to do a reset and start over? I hope not, as it took me many hours of fiddling to install some packages like glut, wxcore, and a few others.

 

Argh.

 

-------------------------------------------

 

_______________________________________________
Haskell-Cafe mailing list
Haskell-Cafe <at> haskell.org
http://www.haskell.org/mailman/listinfo/haskell-cafe

Gmane